std::__future_base(3cxx)

NAME
std::__future_base - Base class and enclosing scope.

SYNOPSIS

#include <future>

Inherited by std::__basic_future< _Res & >, std::__basic_future< void >, and std::__basic_future< _Res >.

  Classes

struct _Result
A result object that has storage for an object of type _Res.
struct _Result< _Res & >
Partial specialization for reference types.
struct _Result< void >
Explicit specialization for void.
struct _Result_alloc
A result object that uses an allocator.
struct _Result_base
Base class for results.

  Public Types

template<typename _Res> using _Ptr
A unique_ptr for result objects.
using _State_base

  Static Public Member Functions

template<typename _Res, typename _Allocator> static _Ptr< _Result_alloc< _Res, _Allocator > > _S_allocate_result (const _Allocator &__a)
template<typename _Res, typename _Tp> static _Ptr< _Result< _Res > > _S_allocate_result (const std::allocator< _Tp > &__a)
template<typename _Res_ptr, typename _BoundFn> static _Task_setter< _Res_ptr, _BoundFn > _S_task_setter (_Res_ptr &__ptr, _BoundFn &__call)

Detailed Description

Base class and enclosing scope.

Member Typedef Documentation

  template<typename _Res> using std::__future_base::_Ptr

A unique_ptr for result objects.

Author

Generated automatically by Doxygen for libstdc++ from the source code.